package com.fs.hospital.service;

import java.util.List;
import com.fs.hospital.domain.HospitalMemberBill;
import com.fs.hospital.vo.HospitalMemberBillHVO;

/**
 * 会员帐单Service接口
 *
 * @author fs
 * @date 2024-03-04
 */
public interface IHospitalMemberBillService
{
    /**
     * 查询会员帐单
     *
     * @param billId 会员帐单主键
     * @return 会员帐单
     */
    public HospitalMemberBill selectHospitalMemberBillByBillId(Long billId);

    /**
     * 查询会员帐单列表
     *
     * @param hospitalMemberBill 会员帐单
     * @return 会员帐单集合
     */
    public List<HospitalMemberBill> selectHospitalMemberBillList(HospitalMemberBill hospitalMemberBill);

    /**
     * 新增会员帐单
     *
     * @param hospitalMemberBill 会员帐单
     * @return 结果
     */
    public int insertHospitalMemberBill(HospitalMemberBill hospitalMemberBill);

    /**
     * 修改会员帐单
     *
     * @param hospitalMemberBill 会员帐单
     * @return 结果
     */
    public int updateHospitalMemberBill(HospitalMemberBill hospitalMemberBill);

    /**
     * 批量删除会员帐单
     *
     * @param billIds 需要删除的会员帐单主键集合
     * @return 结果
     */
    public int deleteHospitalMemberBillByBillIds(Long[] billIds);

    /**
     * 删除会员帐单信息
     *
     * @param billId 会员帐单主键
     * @return 结果
     */
    public int deleteHospitalMemberBillByBillId(Long billId);

    List<HospitalMemberBillHVO> selectHospitalMemberBillListPVO(HospitalMemberBill hospitalMemberBill);
}
